package com.ruoyi.system.domain.vo;

import com.ruoyi.system.domain.SysUserFollow;
import com.ruoyi.system.domain.SysUserLike;
import com.ruoyi.system.domain.SysUserNotification;

import java.util.List;

public class UserMessageVo {

     /** 关注我的用户列表 */
    private List<SysUserFollow> followedByList;

    /** 我关注的用户列表 */
    private List<SysUserFollow> followingList;

    /** 点赞我的列表 */
    private List<SysUserLike> likedByList;

    /** 我点赞的列表 */
    private List<SysUserLike> myLikeList;

    /** 未读消息数 */
    private Long unreadCount;

    /** 最新消息列表 */
    private List<SysUserNotification> latestNotifications;

    public List<SysUserFollow> getFollowedByList() {
        return followedByList;
    }

    public void setFollowedByList(List<SysUserFollow> followedByList) {
        this.followedByList = followedByList;
    }

    public List<SysUserFollow> getFollowingList() {
        return followingList;
    }

    public void setFollowingList(List<SysUserFollow> followingList) {
        this.followingList = followingList;
    }

    public List<SysUserLike> getLikedByList() {
        return likedByList;
    }

    public void setLikedByList(List<SysUserLike> likedByList) {
        this.likedByList = likedByList;
    }

    public List<SysUserLike> getMyLikeList() {
        return myLikeList;
    }

    public void setMyLikeList(List<SysUserLike> myLikeList) {
        this.myLikeList = myLikeList;
    }

    public Long getUnreadCount() {
        return unreadCount;
    }

    public void setUnreadCount(Long unreadCount) {
        this.unreadCount = unreadCount;
    }

    public List<SysUserNotification> getLatestNotifications() {
        return latestNotifications;
    }

    public void setLatestNotifications(List<SysUserNotification> latestNotifications) {
        this.latestNotifications = latestNotifications;
    }



}
